Skip to content

getFixedAssetClassesList

READ

Get fixed asset classes list.

POST /api/v1/accounting/getFixedAssetClassesList
curl -X POST '<your-host>/api/v1/accounting/getFixedAssetClassesList' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json'
Response
{
  "results": [
    {
      "id": "string",
      "name": "string",
      "depreciationMethod": "Straight Line",
      "usefulLifeMonths": 0,
      "residualValuePercent": 0,
      "taxDepreciationMethod": "Straight Line",
      "taxUsefulLifeMonths": 0,
      "taxResidualValuePercent": 0,
      "macrsPropertyClass": "3",
      "macrsConvention": "Half-Year",
      "bonusDepreciationPercent": 0
    }
  ],
  "count": null
}

Parameters

This operation takes no arguments.

Input schema

schema
{
  "type": "object",
  "properties": {}
}